
/**
 * Defines a min-priority queue Abstract Data Type (ADT).
 * No new methods are added on top of the ones specified for all MyWorklists.
 * 
 * Queue elements need to implement the Comparable interface so they can be
 * compared with one another.
 * 
 * The removal rule is the following: remove() removes and returns the smallest
 * element currently on the queue.
 *
 * @author Rui Meireles
 * @version 1.0
 */
public interface MyPriorityQueue<E extends Comparable<E>> extends MyWorklist<E>{
    
}
